# Uses of Interface
java.lang.classfile.instruction.NewObjectInstruction

Packages that use NewObjectInstruction
Package
Description
java.lang.classfile.instruction
Provides interfaces describing code instructions for the `java.lang.classfile` library.

## Uses of NewObjectInstruction in java.lang.classfile.instruction

Methods in java.lang.classfile.instruction that return NewObjectInstruction
Modifier and Type
Method
Description
`static NewObjectInstruction`
NewObjectInstruction.`of(ClassEntry className)`
Returns a new object instruction.